import Cookies from "js-cookie";

const RelaComNoKey = "compute-Console-RelaComNo";
const RelaComNameKey = "compute-Console-RelaComName";
const superKey = "compute-Console-superUser";
const MenuKey = "compute-Console-Menu";
const BtnKey = "compute-Console-MenuBtn";
const NoticeKey = "compute-Console-Notice";
const InfoKey = "compute-Console-Info";
const ActionKey = "compute-Console-Action";

export const TokenKey = "compute-Console-Token";

export const SECRET_KEY = "key123";

export const getToken = () => localStorage.getItem(TokenKey) || "";

export function setToken(token) {
  return window.localStorage.setItem(TokenKey, token);
}

export function removeToken() {
  return localStorage.removeItem(TokenKey);
}

export function setSuperUser(state: boolean) {
  return Cookies.set(superKey, state ? "1" : "0");
}

export function setRelaComNo(relaComNo) {
  return window.sessionStorage.setItem(RelaComNoKey, relaComNo);
}

export function removeRelaComNo() {
  return window.sessionStorage.removeItem(RelaComNoKey);
}

export function getRelaComNo() {
  return window.sessionStorage.getItem(RelaComNoKey);
}

export function setRelaComName(relaComName) {
  return window.sessionStorage.setItem(RelaComNameKey, relaComName);
}

export function getRelaComName() {
  return window.sessionStorage.getItem(RelaComNameKey);
}

export function getSuperUser() {
  return Cookies.get(superKey);
}

export function getMenu() {
  const menu = Cookies.get(MenuKey);
  if (menu) {
    return JSON.parse(menu);
  } else {
    return [];
  }
}

export function setMenu(menu) {
  return Cookies.set(MenuKey, menu);
}

export function removeMenu() {
  return Cookies.remove(MenuKey);
}

export function getBtn() {
  return Cookies.get(BtnKey);
}

export function setBtn(has) {
  return Cookies.set(BtnKey, has);
}

export function removeBtn() {
  return Cookies.remove(BtnKey);
}

export function getNotice() {
  return Cookies.get(NoticeKey);
}

export function setNotice(has) {
  return Cookies.set(NoticeKey, has);
}

export function removeNotice() {
  return Cookies.remove(NoticeKey);
}

export function getAction() {
  return localStorage.getItem(ActionKey);
}

export function setAction(has) {
  return localStorage.setItem(ActionKey, has);
}

export function removeAction() {
  return localStorage.removeItem(ActionKey);
}
